Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2717 closed defect (fixed)

FAT images with an invalid cluster size result in an infinite loop

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.10.3
Component: fs/fat Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

A cluster size > 32KiB results in an infinite loop in fat_init_volume_info() due to an integer overflow.

Change History (5)

comment:1 Changed on 05/20/16 at 06:01:58 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In [changeset:"452b7f83c43d85505c2027e9ec60454d6e4f6827/rtems"]:

fat: Fix for invalid cluster sizes

A cluster size > 32KiB resulted in an infinite loop in
fat_init_volume_info() due to an integer overflow.

Close #2717.

comment:2 Changed on 05/20/16 at 06:14:54 by Sebastian Huber <sebastian.huber@…>

In [changeset:"276dfd9f3db086eb5ee7099f7744f58d36ac8e8e/rtems"]:

fat: Fix for invalid cluster sizes

A cluster size > 32KiB resulted in an infinite loop in
fat_init_volume_info() due to an integer overflow.

Update #2717.

comment:3 Changed on 05/20/16 at 06:15:43 by Sebastian Huber <sebastian.huber@…>

In [changeset:"6adad1e70ad24f1c59b06ed91c8c609b26d946d5/rtems"]:

fat: Fix for invalid cluster sizes

A cluster size > 32KiB resulted in an infinite loop in
fat_init_volume_info() due to an integer overflow.

Update #2717.

comment:4 Changed on 05/20/16 at 06:16:51 by Sebastian Huber

Milestone: 4.124.10.3

comment:5 Changed on 10/10/17 at 06:50:58 by Sebastian Huber

Component: unspecifiedfs/fat
Note: See TracTickets for help on using tickets.